stcmbackend.productoProyecto = {
	sharedEvents(self, modal1, modal2) {
		// Líder de proyecto
		self.leaderModal = new TableUsers(0, modal1, '', '', '', 1);
		self.leaderModal.surname = false;
		$('#searchLeader').on('click', function() {
			self.requestType = 'leader';
			self.leaderModal.setEvents();
		});

		// País
		let countryModal = new TableCountries(0, modal2);
		$('#searchCountry').on('click', function() {
			self.requestType = 'country';

			countryModal.setEvents();
		});

		// Restricciones de carácteres por tecla
		$('.ovSpecChars').off().on('keypress', function(e) {
			// Parámetros: tecla, warningTitle, warningContent y pattern si no es el general
			let result = characterRestrictionsPerKey(e.keyCode, pf.const.language.RSC375, pf.const.language.RSC1762);

			return result;
		});

		// Restricciones de carácteres por pegado
		$('.ovSpecChars').on('paste', function() {
			// Parámetros: elemento, warningTitle, warningContent y pattern si no es el general
			characterRestrictionsPerPaste($(this), pf.const.language.RSC375, pf.const.language.RSC1762);
		});
	}
};